variables:
  DEBIAN_FRONTEND: noninteractive

stages:
  - build

.template-image-deb-bullseye: &image-deb-bullseye
  image: debian:bullseye-slim

build-job:
  stage: build
  <<: *image-deb-bullseye
  before_script:
    - rm -f /etc/apt/sources.list
    - echo deb http://ftp.debian.org/debian/ bullseye main non-free contrib >> /etc/apt/sources.list
    - echo deb http://security.debian.org/debian-security bullseye-security main non-free contrib >> /etc/apt/sources.list
    - echo deb [trusted=yes] http://apt.ligo-wa.caltech.edu/debian bullseye main > /etc/apt/sources.list.d/cdssoft.list
    - apt-get update
    - apt-get -y install devscripts git cmake g++ libexpat1-dev zlib1g-dev libfftw3-dev
    - cd $CI_PROJECT_DIR
    - git clone https://git.ligo.org/cds/software/gds-sigp.git
    - cd gds-sigp
    - git fetch --all
    - git checkout debian/bullseye
    - cp -r debian ..
    - mk-build-deps -ri debian/control -t "apt-get -y -o Debug::pkgProblemResolver=yes --no-install-recommends"

  script:
    - cd $CI_PROJECT_DIR
    - cd gds-sigp
    - mkdir build
    - cd build
    - cmake ..
    - cmake --build . -j 6
